From 7c942e68363126647fe55682209533868b0918f1 Mon Sep 17 00:00:00 2001
From: Anders Kaseorg <andersk@mit.edu>
Date: Sat, 4 Jan 2014 04:30:44 -0500
Subject: [PATCH 34/40] Connection::try_bind: Pass port argument 0 as a string

Signed-off-by: Anders Kaseorg <andersk@mit.edu>
---
 src/network/network.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/network/network.cc b/src/network/network.cc
index 714005a..e55259c 100644
--- a/src/network/network.cc
+++ b/src/network/network.cc
@@ -286,7 +286,7 @@ bool Connection::try_bind( const char *addr, int port_low, int port_high )
   hints.ai_family = AF_UNSPEC;
   hints.ai_socktype = SOCK_DGRAM;
   hints.ai_flags = AI_PASSIVE | AI_NUMERICHOST | AI_NUMERICSERV;
-  AddrInfo ai( addr, 0, &hints );
+  AddrInfo ai( addr, "0", &hints );
 
   Addr local_addr;
   socklen_t local_addr_len = ai.res->ai_addrlen;

